Cancel On-Demand Payroll

Cancels an On-Demand Payroll, optionally keeping the specified entries available for a future regular payroll cycle.

Token scopes: on-demand-payroll:write

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.deel.training/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

odp_idstringRequired

Public ID of the On-Demand Payroll.

Request

Optionally, the entries to keep when cancelling the ODP.
dataobjectOptional

Response

On-Demand Payroll cancelled successfully.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error